package javax.xml.stream.util;

import javax.xml.stream.XMLStreamException;
import javax.xml.stream.events.XMLEvent;
import javax.xml.stream.XMLEventReader;

public class EventReaderDelegate implements XMLEventReader
{
    private XMLEventReader reader;
    
    public EventReaderDelegate() {
    }
    
    public EventReaderDelegate(XMLEventReader reader) {
        this.reader = reader;
    }
    
    public void setParent(XMLEventReader reader) {
        this.reader = reader;
    }
    
    public XMLEventReader getParent() {
        return this.reader;
    }
    
    @Override
    public XMLEvent nextEvent() throws XMLStreamException {
        return this.reader.nextEvent();
    }
    
    @Override
    public Object next() {
        return this.reader.next();
    }
    
    @Override
    public boolean hasNext() {
        return this.reader.hasNext();
    }
    
    @Override
    public XMLEvent peek() throws XMLStreamException {
        return this.reader.peek();
    }
    
    @Override
    public void close() throws XMLStreamException {
        this.reader.close();
    }
    
    @Override
    public String getElementText() throws XMLStreamException {
        return this.reader.getElementText();
    }
    
    @Override
    public XMLEvent nextTag() throws XMLStreamException {
        return this.reader.nextTag();
    }
    
    @Override
    public Object getProperty(String name) throws IllegalArgumentException {
        return this.reader.getProperty(name);
    }
    
    @Override
    public void remove() {
        this.reader.remove();
    }
}
